Update a user payment method

Currently only PAYROLL to CREDITCARD is supported. The flow is as a follows:

  1. [Partner] Use this endpoint to tell Odie of the intent to change paymentMethod
  2. [Partner] On cancellationPeriodStart: Notify the customer via email that their 30-day cancellation period has started
  3. [Partner] Continued responsibility of Payroll as payment method through 30-day cancellation period.
  4. [Odie] On deadline: Policy is automatically cancelled if a credit card has not been added. You will receive a callback via the normal policy callback mechanism.

If the user does enter their credit card, you should use the PATCH /user/:userId endpoint to set the stripeToken. Once this is done the above steps are stopped and their policies become regular CREDITCARD payment policies. *This method works only for policies with monthly payment period

Path Params
string
required

The unique identifier of this user in the Odie system.

Body Params
string
enum
required

The new payment method. CREDITCARD is the only supported value.

Allowed:
date
required

The date on which the payment method change is effective. Must the the last day of a billing period.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*